Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.turbine.modules
Class ScheduledJob

    java.lang.Object
      org.apache.turbine.modules.Assembler
          org.apache.turbine.modules.ScheduledJob

    public abstract class ScheduledJob

extends Assembler

All Scheduled jobs should extend this. The class that extends ScheduledJobs should contain the code that you actually want to execute at a specific time. The name of this class is what you register in the JobEntry.

Version:
  $Id: ScheduledJob.java 717934 2008-11-15 21:48:47Z tv $
Author:
  Dave Bryson

Field Summary
`static int` | `CACHE_SIZE_DEFAULT` The default size of the schedulder job cache if module caching is on.
`static String` | `CACHE_SIZE_KEY` The key for the schedulder job cache size if module caching is on.
`static String` | `NAME` Represents Scheduled Job Objects
`static String` | `PREFIX` Prefix for scheduler job related classes

Constructor Summary
`ScheduledJob()`

Method Summary
`String` | `getPrefix()` Abstract method to provide the prefix for module related classes and templates
`abstract void` | `run(JobEntry job)` Run the Jobentry from the scheduler queue.

Methods inherited from class org.apache.turbine.modules.Assembler
`getRunData`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PREFIX

    public static final String PREFIX

  Prefix for scheduler job related classes

  See Also:
    Constant Field Values

### CACHE_SIZE_KEY

    public static final String CACHE_SIZE_KEY

  The key for the schedulder job cache size if module caching is on.

  See Also:
    Constant Field Values

### CACHE_SIZE_DEFAULT

    public static final int CACHE_SIZE_DEFAULT

  The default size of the schedulder job cache if module caching is on.

  See Also:
    Constant Field Values

### NAME

    public static final String NAME

  Represents Scheduled Job Objects

  See Also:
    Constant Field Values

Constructor Detail

### ScheduledJob

    public ScheduledJob()

Method Detail

### getPrefix

    public String getPrefix()

  Description copied from class: `Assembler`
  Abstract method to provide the prefix for module related classes and templates

  Specified by:
    `getPrefix` in class `Assembler`
  Returns:
    the prefix
  See Also:
    `Assembler.getPrefix()`

### run

    public abstract void run(JobEntry job)
                      throws Exception

  Run the Jobentry from the scheduler queue.

  Parameters:
    `job` - The job to run.
  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2011 The Apache Software Foundation. All Rights Reserved.